Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.handler.codec.http
Class CookieDecoder

    java.lang.Object
      org.jboss.netty.handler.codec.http.CookieDecoder

    public class CookieDecoder

extends Object

Decodes an HTTP header value into `Cookie`s. This decoder can decode the HTTP cookie version 0, 1, and 2.

     HttpRequest req = ...;
     String value = req.getHeader("Cookie");
     Set<Cookie> cookies = new CookieDecoder().decode(value);

Version:
  $Rev: 2122 $, $Date: 2010-02-02 11:00:04 +0900 (Tue, 02 Feb 2010) $
Author:
  The Netty Project, Andy Taylor (andy.taylor@jboss.org), Trustin Lee
See Also:
  `CookieEncoder`

Constructor Summary
`CookieDecoder()` Creates a new decoder.

Method Summary
`Set<Cookie>` | `decode(String header)` Decodes the specified HTTP header value into `Cookie`s.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CookieDecoder

    public CookieDecoder()

  Creates a new decoder.

Method Detail

### decode

    public Set<Cookie> decode(String header)

  Decodes the specified HTTP header value into `Cookie`s.

  Returns:
    the decoded `Cookie`s

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.